from GUI import Window, Button, Task, application

def do_task():
    print "Doing the task"

task = Task(do_task, 1.0, repeat = 1, start = 0)

def start_task():
    task.start()
    
def stop_task():
    task.stop()

starter = Button("Start", action = start_task)
stopper = Button("Stop", action = stop_task)
win = Window(title = "Tasks")
win.place_column([starter, stopper], left = 20, top = 20, spacing = 20)
win.shrink_wrap(padding = (20, 20))
win.show()

application().run()
